# @file config.py
# @func module definitions for framework. 
#       Is used to register, define & load modules 
#       Starts the main-framework
# @auth Hessel van der Molen
# @date 4 May 2012
# @update 2023 by Arnoud Visser
# v8 Jan 19, 2023 - main module update is vision_v4 - bug fix
# v8 Jan 19, 2023 - also adds an unsetDependencies to each module
 
	
#dictionairy for module
moduledict = {}
#show frameworks print's (1=show, 0=do not show)
VERBOSE = 1

####
## Register modules:
#######

moduledict["main"]          = "main_v7f"
moduledict["globals"]       = [1, "globals_v8f"]
moduledict["motion"]        = [1, "motion_v7"]
moduledict["sonar"]         = [1, "sonar_v4"]
moduledict["tools"]         = [1, "tools_v5"]
moduledict["vision"]        = [1, "vision_v4"]
moduledict["behaviour"]     = [0, "behaviour_v2"]

from framework import mframework

###########################
# start & run framework
###########################

if __name__ == '__main__':
     mframework.startUpFramework(moduledict, VERBOSE)


